StarObjectSmallGraphicInternal::OutlinerParaObject Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::OutlinerParaObject Class Reference

Internal: virtual class to store a outliner paragraph object. More...

## Classes
struct | Zone
| small struct use to define a Zone: v<=3 More...

## Public Member Functions
| OutlinerParaObject ()
| constructor More...
bool | send (STOFFListenerPtr listener)
| try to send the text to the listener More...

## Public Attributes
int | m_version
| the version More...
std::vector< Zone > | m_zones
| the list of zones: version<=3 More...
shared_ptr< StarObjectSmallText > | m_textZone
| list of text zone: version==4 More...
std::vector< int > | m_depthList
| list of depth data More...
bool | m_isEditDoc
| true if the object is a edit document More...

## Friends
std::ostream & | operator<< (std::ostream &o, OutlinerParaObject const &obj)
| operator<< More...

## Detailed Description

Internal: virtual class to store a outliner paragraph object.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::OutlinerParaObject::OutlinerParaObject | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool StarObjectSmallGraphicInternal::OutlinerParaObject::send | ( | STOFFListenerPtr | listener | ) |
| inline

try to send the text to the listener

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | OutlinerParaObject const & | obj
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<int> StarObjectSmallGraphicInternal::OutlinerParaObject::m_depthList

list of depth data

bool StarObjectSmallGraphicInternal::OutlinerParaObject::m_isEditDoc

true if the object is a edit document

shared_ptr<StarObjectSmallText> StarObjectSmallGraphicInternal::OutlinerParaObject::m_textZone

list of text zone: version==4

int StarObjectSmallGraphicInternal::OutlinerParaObject::m_version

the version

std::vector<Zone> StarObjectSmallGraphicInternal::OutlinerParaObject::m_zones

the list of zones: version<=3

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx